SND_CARD_PROC_NEW(9)

NAME
snd_card_proc_new - create an info entry for the given card

SYNOPSIS

int snd_card_proc_new(struct snd_card * card, const char * name, struct snd_info_entry ** entryp);

ARGUMENTS

card
    the card instance

name
    the file name

entryp
    the pointer to store the new info entry

DESCRIPTION

Creates a new info entry and assigns it to the given card. Unlike snd_info_create_card_entry, this function registers the info entry as an ALSA device component, so that it can be unregistered/released without explicit call. Also, you don't have to register this entry via snd_info_register, since this will be registered by snd_card_register automatically.

The parent is assumed as card->proc_root.

For releasing this entry, use snd_device_free instead of snd_info_free_entry.

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT